RewriteEngine on

# disable directory browsing
Options All -Indexes

RewriteCond  %{REQUEST_FILENAME}  !(fckeditor)

RewriteRule ^(.+).html$ $1/?%{QUERY_STRING}

#-------Blogs---------

RewriteRule ^manageblog/$ manageBlog.php?%{QUERY_STRING}

RewriteRule ^blog/$ blogs.php?%{QUERY_STRING}

RewriteRule ^blogcomment/(.+)/$ blogComment.php?title=$1&%{QUERY_STRING}


#------- ErrorDocument------

ErrorDocument 404 '<b>File Not Found</b>

RewriteCond   %{REQUEST_FILENAME}  !-f

RewriteRule ^([^\/]+)$ error.php

RewriteRule ^error/$ error.php